Calendar
/calendar-blocks/block
Block calendar for a listing
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
listingId*string
startDate*string
endDate*string
description?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/calendar-blocks/block" \ -H "Content-Type: application/json" \ -d '{ "listingId": "string", "startDate": "string", "endDate": "string" }'{
"data": [
{
"date": "string",
"blockReason": "reserved",
"description": "string",
"user": {
"email": "user@example.com",
"firstName": "string",
"lastName": "string",
"id": "string"
}
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}